Show / Hide Table of Contents

# Class AutoCompletionResult

Includes the objects created by auto completion service

##### Inheritance

System.Object
AutoCompletionResult

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Completion

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class AutoCompletionResult

### Constructors

| Improve this Doc View Source

#### AutoCompletionResult()

Creates new instance

##### Declaration

    public AutoCompletionResult()

### Properties

| Improve this Doc View Source

#### CompletionItems

Completion list

##### Declaration

    public CompletionItem[] CompletionItems { get; }

##### Property Value

Type | Description
--- | ---
CompletionItem[] |

| Improve this Doc View Source

#### Duration

The number of milliseconds to process the result

##### Declaration

    public double Duration { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

### Methods

| Improve this Doc View Source

#### CompleteResult(CompletionItem[])

Completes the results to calculate the duration

##### Declaration

    public void CompleteResult(CompletionItem[] completionItems)

##### Parameters

Type | Name | Description
--- | --- | ---
CompletionItem[] | completionItems |